## org.mariadb.jdbc.internal.io
Class LruTraceCache

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              java.util.LinkedHashMap<Long,TraceObject>
                  org.mariadb.jdbc.internal.io.LruTraceCache

All Implemented Interfaces:
  Serializable, Cloneable, Map<Long,TraceObject>

    public class LruTraceCache

extends LinkedHashMap<Long,TraceObject>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`LruTraceCache()`

Method Summary
`void` `clearMemory()` Permit to clear array's of array, to help garbage.
`String` `printStack()` Value of trace cache in a readable format.
`protected boolean` `removeEldestEntry(Map.Entry<Long,TraceObject> eldest)`

Methods inherited from class java.util.LinkedHashMap
`clear, containsValue, get`

Methods inherited from class java.util.HashMap
`clone, containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### LruTraceCache

    public LruTraceCache()

Method Detail

### removeEldestEntry

    protected boolean removeEldestEntry(Map.Entry<Long,TraceObject> eldest)

  Overrides:
    `removeEldestEntry` in class `LinkedHashMap<Long,TraceObject>`

### printStack

    public String printStack()

  Value of trace cache in a readable format.

  Returns:
    trace cache value

### clearMemory

    public void clearMemory()

  Permit to clear array's of array, to help garbage.

Copyright © 2017. All rights reserved.